/* PhBLxySpectrum.C: PhBLxySpectrum nodes (public source) */

#include "PhBLxySpectrum.H"

namespace xrml {

void PhBLxySpectrum::render(void)
{
  // convert to XYZ representation.
  value = Spectrum(xy.s / xy.t * luminance,
		   luminance,
		   (1.-xy.s-xy.t) / xy.t * luminance);
}

}  // namespace xrml
